EXEC [__AddStoredProcInfo]
    /* StoredProc_Name         */ 'BowerPackages_IncrementHitCount',
    /* Internal_Indicator      */ 'Y',
    /* ReturnType_Name         */ 'void',
    /* DataTableNames_Csv      */ NULL,
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Increments the hit count of a Bower package.'
GO

IF OBJECT_ID('[BowerPackages_IncrementHitCount]') IS NOT NULL
	DROP PROCEDURE [BowerPackages_IncrementHitCount]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [BowerPackages_IncrementHitCount]
(
	@Feed_Id INT,
	@Package_Name NVARCHAR(200)
)
AS
BEGIN

SET NOCOUNT ON

BEGIN TRY
	BEGIN TRANSACTION

	UPDATE [BowerPackages]
	   SET [Hit_Count] = [Hit_Count] + 1,
	       [LastRequested_Date] = GETUTCDATE()
	 WHERE [Feed_Id] = @Feed_Id
	   AND [Package_Name] = @Package_Name

	COMMIT
END TRY BEGIN CATCH
	IF XACT_STATE()<>0 ROLLBACK
	EXEC [HandleError]
END CATCH

END
GO

GRANT EXECUTE ON [BowerPackages_IncrementHitCount] TO [ProGetUser_Role]
GO