EXEC [__AddStoredProcInfo]
    /* StoredProc_Name         */ 'DockerImages_GetRepositories',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'DataTable',
    /* DataTableNames_Csv      */ 'DockerRepositories',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets the Docker repositories that match the specified criteria.'
GO

IF OBJECT_ID('[DockerImages_GetRepositories]') IS NOT NULL DROP PROCEDURE [DockerImages_GetRepositories]
GO

SET QUOTED_IDENTIFIER ON
GO
SET ANSI_NULLS ON
GO

CREATE PROCEDURE [DockerImages_GetRepositories]
(
	@Feed_Id INT,
	@SearchTerm_Text VARCHAR(255) = NULL
)
AS
BEGIN

SET NOCOUNT ON

	SELECT *
	  FROM [DockerRepositories]
	 WHERE (@Feed_Id IS NULL OR [Feed_Id] = @Feed_Id)
	   AND (@SearchTerm_Text IS NULL OR [Repository_Name] LIKE ('%' + @SearchTerm_Text + '%'))
	 ORDER BY [Download_Count] DESC

END
GO

GRANT EXECUTE ON [DockerImages_GetRepositories] TO [ProGetUser_Role]
GO