EXEC [__AddStoredProcInfo]
    /* StoredProc_Name         */ 'DockerImages_GetTags',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'DataTable',
    /* DataTableNames_Csv      */ 'DockerImageTags',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets the Docker image tags for the specified repository.'
GO

IF OBJECT_ID('[DockerImages_GetTags]') IS NOT NULL DROP PROCEDURE [DockerImages_GetTags]
GO

SET QUOTED_IDENTIFIER ON
GO
SET ANSI_NULLS ON
GO

CREATE PROCEDURE [DockerImages_GetTags]
(
	@Feed_Id INT,
	@Repository_Name VARCHAR(255) = NULL
)
AS
BEGIN

SET NOCOUNT ON

	SELECT *
	  FROM [DockerImageTags]
	 WHERE [Feed_Id] = @Feed_Id
	   AND ([Repository_Name] = @Repository_Name OR @Repository_Name IS NULL)

END
GO

GRANT EXECUTE ON [DockerImages_GetTags] TO [ProGetUser_Role]
GO